{ lib, ... }:
{
  imports = [
    ./boot
    ./filesystems
    ./firewall
    ./hardware
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "kitty";
    hostId = "38ba3f57";
  };

  system = {
    server.enable = true;
    fileserver.enable = true;
    socialserver.enable = true;
    wireless.enable = false;
    wireguard.server.enable = true;
    stateVersion = "24.05";
  };

  services.minecraft-servers.servers = {
    velocity.enable = true;
    skyblock.enable = true;
  };
}
